Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions | Variables
win32ole_event.c File Reference
`#include "win32ole.h"`

Go to the source code of this file.

## Data Structures
struct | IEventSink
struct | IEventSinkVtbl
struct | tagIEVENTSINKOBJ
struct | oleeventdata

## Typedefs
typedef struct IEventSink * | PEVENTSINK
typedef struct IEventSinkVtbl | IEventSinkVtbl
typedef struct tagIEVENTSINKOBJ | IEVENTSINKOBJ
typedef struct tagIEVENTSINKOBJ * | PIEVENTSINKOBJ

## Functions
RUBY_EXTERN void | rb_write_error_str (VALUE mesg)
STDMETHODIMP | EVENTSINK_QueryInterface (PEVENTSINK, REFIID, LPVOID *)
| STDMETHODIMP_ (STDMETHODIMP_() EVENTSINK_Release(PEVENTSINK) ULONG)
void | EVENTSINK_Destructor (PIEVENTSINKOBJ)
STDMETHODIMP | EVENTSINK_Invoke (PEVENTSINK pEventSink, DISPID dispid, REFIID riid, LCID lcid, WORD wFlags, DISPPARAMS *pdispparams, VARIANT *pvarResult, EXCEPINFO *pexcepinfo, UINT *puArgErr)
| EVENTSINK_AddRef (PEVENTSINK pEV)
| STDMETHODIMP_ (ULONG)
STDMETHODIMP | EVENTSINK_GetTypeInfoCount (PEVENTSINK pEV, UINT *pct)
STDMETHODIMP | EVENTSINK_GetTypeInfo (PEVENTSINK pEV, UINT info, LCID lcid, ITypeInfo **pInfo)
STDMETHODIMP | EVENTSINK_GetIDsOfNames (PEVENTSINK pEventSink, REFIID riid, OLECHAR **szNames, UINT cNames, LCID lcid, DISPID *pDispID)
PIEVENTSINKOBJ | EVENTSINK_Constructor (void)
void | Init_win32ole_event (void)

## Variables
VALUE | cWIN32OLE_EVENT

## Typedef Documentation

## ◆ IEVENTSINKOBJ

typedef struct tagIEVENTSINKOBJ IEVENTSINKOBJ

## ◆ IEventSinkVtbl

typedef struct IEventSinkVtbl IEventSinkVtbl

Definition at line 15 of file win32ole_event.c.

## ◆ PEVENTSINK

typedef struct IEventSink * PEVENTSINK

## ◆ PIEVENTSINKOBJ

typedef struct tagIEVENTSINKOBJ * PIEVENTSINKOBJ

## Function Documentation

## ◆ EVENTSINK_AddRef()

EVENTSINK_AddRef | ( | PEVENTSINK | pEV | ) |

Definition at line 256 of file win32ole_event.c.

References tagIEVENTSINKOBJ::m_cRef.

## ◆ EVENTSINK_Constructor()

PIEVENTSINKOBJ EVENTSINK_Constructor | ( | void |  | ) |

Definition at line 310 of file win32ole_event.c.

References ALLOC_N, tagIEVENTSINKOBJ::lpVtbl, tagIEVENTSINKOBJ::m_cRef, tagIEVENTSINKOBJ::m_event_id, NULL, and tagIEVENTSINKOBJ::pTypeInfo.

## ◆ EVENTSINK_Destructor()

void EVENTSINK_Destructor | ( | PIEVENTSINKOBJ | pEVObj | ) |

Definition at line 323 of file win32ole_event.c.

References free, NULL, OLE_RELEASE, and tagIEVENTSINKOBJ::pTypeInfo.

## ◆ EVENTSINK_GetIDsOfNames()

STDMETHODIMP EVENTSINK_GetIDsOfNames | ( | PEVENTSINK | pEventSink,
|  | REFIID | riid,
|  | OLECHAR ** | szNames,
|  | UINT | cNames,
|  | LCID | lcid,
|  | DISPID * | pDispID
| ) |  |

Definition at line 292 of file win32ole_event.c.

References cNames, and tagIEVENTSINKOBJ::pTypeInfo.

## ◆ EVENTSINK_GetTypeInfo()

STDMETHODIMP EVENTSINK_GetTypeInfo | ( | PEVENTSINK | pEV,
|  | UINT | info,
|  | LCID | lcid,
|  | ITypeInfo ** | pInfo
| ) |  |

Definition at line 282 of file win32ole_event.c.

References NULL.

## ◆ EVENTSINK_GetTypeInfoCount()

STDMETHODIMP EVENTSINK_GetTypeInfoCount | ( | PEVENTSINK | pEV,
|  | UINT * | pct
| ) |  |

Definition at line 274 of file win32ole_event.c.

## ◆ EVENTSINK_Invoke()

STDMETHODIMP EVENTSINK_Invoke | ( | PEVENTSINK | pEventSink,
|  | DISPID | dispid,
|  | REFIID | riid,
|  | LCID | lcid,
|  | WORD | wFlags,
|  | DISPPARAMS * | pdispparams,
|  | VARIANT * | pvarResult,
|  | EXCEPINFO * | pexcepinfo,
|  | UINT * | puArgErr
| ) |  |

Definition at line 132 of file win32ole_event.c.

References count, HRESULT(), i, and obj.

## ◆ EVENTSINK_QueryInterface()

STDMETHODIMP EVENTSINK_QueryInterface | ( | PEVENTSINK | pEV,
|  | REFIID | iid,
|  | LPVOID * | ppv
| ) |  |

Definition at line 237 of file win32ole_event.c.

References NULL.

## ◆ Init_win32ole_event()

void Init_win32ole_event | ( | void |  | ) |

Definition at line 1261 of file win32ole_event.c.

## ◆ rb_write_error_str()

RUBY_EXTERN void rb_write_error_str | ( | VALUE | mesg | ) |

Definition at line 7936 of file io.c.

## ◆ STDMETHODIMP_() [1/2]

STDMETHODIMP_ | ( | STDMETHODIMP_() EVENTSINK_Release(PEVENTSINK) | ULONG | ) |

Definition at line 73 of file win32ole_event.c.

## ◆ STDMETHODIMP_() [2/2]

STDMETHODIMP_ | ( | ULONG |  | ) |

Definition at line 263 of file win32ole_event.c.

## Variable Documentation

## ◆ cWIN32OLE_EVENT

VALUE cWIN32OLE_EVENT

Definition at line 70 of file win32ole_event.c.